FindPlaneCoefficients(float x[], float y[], float z[], int num_verts,
					  float  *a, float *b, float *c, float *d)
{
	float   A, B, C, D;
	int     i, j;

	A = B = C = 0.0;
	for (i = 0; i < num_verts; i++) {
		j = (i + 1) % num_verts;
		A += (z[i] + z[j]) * (y[j] - y[i]);
		B += -(x[i] + x[j]) * (z[j] - z[i]);
		C += (y[i] + y[j]) * (x[j] - x[i]);
	}
	A /= 2.0;
	B /= 2.0;
	C /= 2.0;
	D = -(A * x[0] + B * y[0] + C * z[0]);

	*a = A;
	*b = B;
	*c = C;
	*d = D;
}
