typedef float CoefficientArray[4];
void DrawCurve(CoefficientArray cx, CoefficientArray cy,
						CoefficientArray cz, int n)
	/* cx, cy, and cz are coefficients for x(t), y(t), and z(t) */
	/* e.g., Cx = Gx . M, etc. */
	/* n, number of steps */
{
	float x, y, z, delta, t, t2, t3;
	int i;

	MoveAbs3(cx[3], cy[3], cz[3]);
	delta = 1.0/n;
	for( i = 1; i <= n; i++ ){
		t = i*delta;
		t2 = t*t;
		t3 = t2*t;
		x = cx[0]*t3 + cx[1]*t2 + cx[2]*t + cx[3];
		y = cy[0]*t3 + cy[1]*t2 + cy[2]*t + cy[3];
		z = cz[0]*t3 + cz[1]*t2 + cz[2]*t + cz[3];
		DrawAbs3(x, y ,z);
	}
}
